Bug 135903 - When booting, Grub give lot of error and Kudzu remove Network Card.
When booting, Grub give lot of error and Kudzu remove Network Card.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 14:30 EDT by Steve Houle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Houle 2004-10-15 14:30:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I've got some problem on boot of FC2.

Because I make it as server, I install FC2 in text mode without any
X-Manager.
I install in custom mode and I select no package.  Just the basic
installation.
I put the /boot partition on /dev/sda1 with 200MB, the / take the rest
of the space on /dev/sda3 (around 3.8GB).  The swap take 512MB on
/dev/sdb1 and the rest of the 9GB disk is unsued at this time.  The 3
60GB disk make a 120GB raid 5 on /dev/md0.  I install the boot loader
on /dev/sda1 the hook the SCSI 4GB disk as the boot disk.

The installation process running without error.  But when a boot the
computer, the grub process before getting the boot: prompt give me a
lot of lines like :
c0109c48 t reschedule
c0109c54 T divide_error
c0109c5c t error_code
c0109c98 T coprocessor_error

and the list go one rapidly for a couple of page.  Sorry for the short
listing, but the page going to fast for me.

After that, the system still going for boot, but getting some error
loading some module.
In the DMESG file I find some intresting line :
- Unknown bridge ressource 0: assuming transparent
- Unknown bridge ressource 1: assuming transparent
- Unknown bridge ressource 2: assuming transparent
...
- kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2

I find other lines in boot.log :
- modprobe: modprobe: Can't open dependencies file
/lib/modules/2.4.18-14/modules.dep
(this failed the usb-uhci module)
...
- depmod: Can't open dependencies file /lib/modules/2.4.18-14/modules.dep

Another problem occur when kudzu process goes on.  It ask me to remove
the Network Card (for both model tested).

Finaly, the system works without network.

Here's the listing of the hardware:
- Processor : Pentium III 700
- Motherboard : ASUS P3V-4X with VIA chipset
- Memory : 2x 128MB pc133 SDRAM
- Video : Matrox Millenium II
- SCSI : Adaptec 29160
- Network : Netgear FA311 (also tested with a 3com 3c905 card)
- Disk : - SCSI 4GB (/dev/sda)
         - SCSI 9GB (/dev/sdb)
         - SCSI CDROM (/dev/cdrom)
         - IDE 60GB (/dev/hda)
         - IDE 60GB (/dev/hdb)
         - IDE 60GB (/dev/hdc)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just reboot or reinstall the system.

2. I even try with a FC1 and is the same.
    

Additional info:

This exact hardware setup running without any problem since 2 years on
some version of RedHat (7.0, 7.3, 8.0).
Comment 1 Dave Jones 2004-10-27 01:31:25 EDT
 modprobe: modprobe: Can't open dependencies file
/lib/modules/2.4.18-14/modules.dep

This indicates that you're using the 2.4 kernel, which means that
something went wrong during your upgrade.  Why it hasn't installed/selected
the 2.6 kernel is a mystery.

I'm guessing you went from 8.0 -> FC2 ?
AFAIK, this wasn't tested at all.   Reassigning to Anaconda.
Comment 2 Jeremy Katz 2004-10-27 11:57:15 EDT
Did you do an upgrade or a fresh install?
Comment 3 Steve Houle 2004-11-01 05:13:56 EST
Hi,
     I got the problem from a fresh install.  I did not like upgrading
a OS, I prefered to re-install; that allow me to review the configuration.


Sorry Dave about the Kernel message.  The 2.4 error message I copy
came from a test made on a Fedora 1 but it still the same with FC2
except there a 2.6.x instead of 2.4.x
Comment 4 Jeremy Katz 2004-11-01 09:29:20 EST
Can you provide the exact error messages from your 2.6 boot?
Comment 5 Jeremy Katz 2005-02-01 17:02:53 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.